import pygame
from pygame.locals import *

import shelve
import os
import random

import functions

class Base(pygame.sprite.Sprite):

    def __init__(self, screen):

        pygame.sprite.Sprite.__init__(self)
        ###IMAGE
        self.screen = screen
        self.image = None
        self.frames = None
        self.max_frames = None
        self.frame = 1
        self.anim_delay = 5

        ###MOVEMENT
        self.rect = None
        self.speed = random.choice((-1, 1))
        self.maxX = (96 * self.speed)
        self.X = 0

    def update(self):

        ###UPDATE POS
        self.rect.centerx += self.speed
        self.X += self.speed
        if self.X == self.maxX:
            self.speed *= -1
            self.maxX *= -1

        ###UPDATE ANIM
        self.anim_delay -= 1
        if not self.anim_delay:
            self.frame += 1
            if self.frame > self.max_frames:
                self.frame = 1
            self.anim_delay = 5

        self.screen.blit(self.image, self.rect, self.frames[self.frame * self.speed])
        #pygame.draw.rect(self.screen, (0, 128, 0), self.rect)

    def load_info(self, key):

        path = os.path.join("data", "info", "002.dat")
        shelf = shelve.open(path)
        data = shelf[str(key)]
        shelf.close()

        self.frames = data[0]
        self.max_frames = data[1]

class Tank(Base):

    def __init__(self, pos, screen):

        Base.__init__(self, screen)
        self.image = functions.load_image("e001.png", "colorkey")
        self.rect = pygame.Rect(pos[0], pos[1] + 14, 26, 18)
        self.load_info(1)

class Monster(Base):

    def __init__(self, pos, screen):

        Base.__init__(self, screen)
        self.image = functions.load_image("e002.png", "alpha")
        self.rect = pygame.Rect(pos[0], pos[1] + 5, 25, 27)
        self.load_info(2)






