import pygame
from pygame.locals import *

import functions
from globals import PLAYER, MAP

class Hud(pygame.sprite.Sprite):

    def __init__(self, player, screen, font):

        pygame.sprite.Sprite.__init__(self)
        self.image = functions.load_image("icons.png")
        self.image.set_alpha(100)
        self.icons = {
                      1 : (0, 0, 40, 38),
                      2 : (54, 0, 40, 38),
                      3 : (108, 0, 40, 38)
                     }
        self.screen = screen
        self.font = font
        self.powers = []

    def update(self):

        for p in self.powers:
            self.screen.blit(self.image, (400 + (p * 50), 10), self.icons[p])

            if PLAYER.sprite.state == p:
                pygame.draw.rect(self.screen, (255, 0, 0), (400 + (p * 50), \
                                 10, 40, 38), 1)

        self.screen.blit(self.font.render("Lifes: " + str(PLAYER.sprite.lifes), 1, \
                        (192, 192, 192)), (50, 10))

        self.screen.blit(self.font.render("Level: " + str(MAP.sprite.level), 1, \
                        (192, 192, 192)), (150, 10))

